Summary:	GeoLite City - City database for GeoIP
Summary(pl.UTF-8):	GeoLite City - baza danych miast dla GeoIP
Name:		GeoIP-db-City
# Updated every month:
Version:	2014.12.02
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.xz?/GeoLiteCity-%{version}.dat.xz
# Source0-md5:	7eb711746d77d9dda673223d315d977e
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCityv6-beta/GeoLiteCityv6.dat.gz?/GeoLiteCityv6-%{version}.dat.gz
# Source1-md5:	a42504adfd8030c3a10f749191598b4a
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Determine country, state/region, city, US postal code, US area code,
metro code, latitude, and longitude information for IP addresses
worldwide.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Znajdź państwo, stan/region, miasto, kod pocztowy, kod regionu, kod
miejski, szerokość i wysokość geograficzną dla adresów IP z całego
świata.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxWind, dostępne z <http://www.maxwind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

xz -d GeoLiteCity-%{version}.dat.xz
gunzip GeoLiteCityv6-%{version}.dat.gz

ver=$(TZ=GMT stat -c '%y' GeoLiteCity-%{version}.dat | awk '{print $1}' | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoLiteCity-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCity.dat
ln -s GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCity.dat

cp -p GeoLiteCityv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCityv6.dat
ln -s GeoLiteCityv6.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCityv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Wed Dec 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-City.git;a=log;h=master

* Wed Dec 03 2014 Elan Ruusamäe <glen@delfi.ee> ca68993
- up to 2014.12.02

* Tue Nov 11 2014 Elan Ruusamäe <glen@delfi.ee> 953bf19
- up to 2014.11.05

* Thu Oct 09 2014 Elan Ruusamäe <glen@delfi.ee> d44890c
- up to 2014.10.08

* Mon Sep 15 2014 Elan Ruusamäe <glen@delfi.ee> c7964e2
- up to 2014.09.04

* Wed Sep 03 2014 Elan Ruusamäe <glen@delfi.ee> af0ae0a
- up to 2014.09.03

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 2850b60
- updated GeoLiteCity to 2014.08.06

* Wed Aug 06 2014 Elan Ruusamäe <glen@delfi.ee> 204120b
- up to 2014.08.06

* Mon Jul 07 2014 Elan Ruusamäe <glen@delfi.ee> e169ac0
- up to 2014.07.02

* Fri Jun 06 2014 Elan Ruusamäe <glen@delfi.ee> f1f5ec0
- up to 2014.06.04

* Thu May 22 2014 Elan Ruusamäe <glen@delfi.ee> fa05c2b
- up to 2014.05.06

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> c1cd130
- up to 2014.04.02

* Mon Mar 10 2014 Elan Ruusamäe <glen@delfi.ee> 1c5f49b
- up to 2014.03.05

* Fri Feb 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5da4dab
- rel 2; add IPv6 database, too; version tarbals locally

* Tue Feb 11 2014 Elan Ruusamäe <glen@delfi.ee> e60a332
- up to 2014.02.05

* Mon Jan 13 2014 Elan Ruusamäe <glen@delfi.ee> 8fc4648
- up to 2014.01.08

* Mon Dec 16 2013 Elan Ruusamäe <glen@delfi.ee> 9afd06d
- license is Creative Commons Attribution-ShareAlike 3.0 Unported License
- update url
- switch to xz source

* Sun Dec 08 2013 Elan Ruusamäe <glen@delfi.ee> e8a43c5
- up to 2013.12.06

* Thu Nov 07 2013 Elan Ruusamäe <glen@delfi.ee> 908b71b
- update to 2013.11.06

* Mon Oct 07 2013 Elan Ruusamäe <glen@delfi.ee> bcd6e8b
- up to 2013.10.02

* Mon Sep 09 2013 Elan Ruusamäe <glen@delfi.ee> 9ab42e2
- up to 2013.09.04

